Index: trunk/modelicaml/org.openmodelica.modelicaml.profile.report/model/ModelicaML.profile.notation
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.profile.report/model/ModelicaML.profile.notation	(revision 1607)
+++ trunk/modelicaml/org.openmodelica.modelicaml.profile.report/model/ModelicaML.profile.notation	(revision 1717)
@@ -1271,64 +1227,211 @@
       <targetAnchor xmi:type="notation:IdentityAnchor" xmi:id="_6HOlsX-WEeC-I9oqZ53S4w" id="(0.37,0.76)"/>
     </edges>
+    <edges xmi:type="notation:Connector" xmi:id="_4mdqMLQUEeKMMvKD8rDWHw" type="1013" source="_twIu8IxUEeCL2qVcoCeT8g" target="_4mFPsLQUEeKMMvKD8rDWHw" lineColor="0">
+      <styles xmi:type="notation:FontStyle" xmi:id="_4mdqMbQUEeKMMvKD8rDWHw" fontName="Segoe UI"/>
+      <element xmi:type="uml:Extension" href="ModelicaML.profile.uml#_bDxDQUsVEeCWwP2csDYIyw"/>
+      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_4mdqMrQUEeKMMvKD8rDWHw" points="[-84, -30, 470, 166]$[-554, -196, 0, 0]"/>
+    </edges>
+    <edges xmi:type="notation:Connector" xmi:id="_Afk7gLQVEeKMMvKD8rDWHw" type="1013" source="_ADhRoLQVEeKMMvKD8rDWHw" target="_AfFMQLQVEeKMMvKD8rDWHw" lineColor="0">
+      <styles xmi:type="notation:FontStyle" xmi:id="_Afk7gbQVEeKMMvKD8rDWHw" fontName="Segoe UI"/>
+      <element xmi:type="uml:Extension" href="ModelicaML.profile.uml#_YOthsUsVEeCWwP2csDYIyw"/>
+      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_Afk7grQVEeKMMvKD8rDWHw" points="[-25, -50, 223, 440]$[-248, -490, 0, 0]"/>
+    </edges>
   </notation:Diagram>
   <notation:Diagram xmi:id="_Sq6n8Kx7EeC2GJQ4iCzxPg" type="PapyrusUMLProfileDiagram" name="ProfileDiagram" measurementUnit="Pixel">
-    <children xmi:type="notation:Shape" xmi:id="_vRWj0OCQEeGn-bDI4pMcpA" type="1026" fontName="Segoe UI" lineColor="0">
-      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_vRXK4OCQEeGn-bDI4pMcpA" source="ShadowFigure">
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_vRXK4eCQEeGn-bDI4pMcpA" key="ShadowFigure_Value" value="false"/>
-      </eAnnotations>
-      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_vRXK4uCQEeGn-bDI4pMcpA" source="displayNameLabelIcon">
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_vRXK4-CQEeGn-bDI4pMcpA" key="displayNameLabelIcon_value" value="false"/>
-      </eAnnotations>
-      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_vRXx8OCQEeGn-bDI4pMcpA" source="QualifiedName">
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_vRXx8eCQEeGn-bDI4pMcpA" key="QualifiedNameDepth" value="1000"/>
-      </eAnnotations>
-      <children xmi:type="notation:DecorationNode" xmi:id="_vRXx8uCQEeGn-bDI4pMcpA" type="1034"/>
-      <children xmi:type="notation:BasicCompartment" xmi:id="_vRXx8-CQEeGn-bDI4pMcpA" type="1071">
-        <styles xmi:type="notation:TitleStyle" xmi:id="_vRXx9OCQEeGn-bDI4pMcpA"/>
-        <styles xmi:type="notation:SortingStyle" xmi:id="_vRXx9eCQEeGn-bDI4pMcpA"/>
-        <styles xmi:type="notation:FilteringStyle" xmi:id="_vRXx9uCQEeGn-bDI4pMcpA"/>
-        <layoutConstraint xmi:type="notation:Bounds" xmi:id="_vRXx9-CQEeGn-bDI4pMcpA"/>
-      </children>
-      <children xmi:type="notation:BasicCompartment" xmi:id="_vRXx-OCQEeGn-bDI4pMcpA" visible="false" type="1019">
-        <styles xmi:type="notation:TitleStyle" xmi:id="_vRXx-eCQEeGn-bDI4pMcpA"/>
-        <styles xmi:type="notation:SortingStyle" xmi:id="_vRXx-uCQEeGn-bDI4pMcpA"/>
-        <styles xmi:type="notation:FilteringStyle" xmi:id="_vRXx--CQEeGn-bDI4pMcpA"/>
-        <layoutConstraint xmi:type="notation:Bounds" xmi:id="_vRXx_OCQEeGn-bDI4pMcpA"/>
+    <children xmi:type="notation:Shape" xmi:id="_j2YqULQQEeKMMvKD8rDWHw" type="1026" fontName="Segoe UI" lineColor="0">
+      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_j2ZRYLQQEeKMMvKD8rDWHw" source="ShadowFigure">
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_j2ZRYbQQEeKMMvKD8rDWHw" key="ShadowFigure_Value" value="false"/>
+      </eAnnotations>
+      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_j2ZRYrQQEeKMMvKD8rDWHw" source="displayNameLabelIcon">
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_j2ZRY7QQEeKMMvKD8rDWHw" key="displayNameLabelIcon_value" value="false"/>
+      </eAnnotations>
+      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_j2ZRZLQQEeKMMvKD8rDWHw" source="QualifiedName">
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_j2Z4cLQQEeKMMvKD8rDWHw" key="QualifiedNameDepth" value="1000"/>
+      </eAnnotations>
+      <children xmi:type="notation:DecorationNode" xmi:id="_j2Z4cbQQEeKMMvKD8rDWHw" type="1034"/>
+      <children xmi:type="notation:BasicCompartment" xmi:id="_j2Z4crQQEeKMMvKD8rDWHw" type="1071">
+        <children xmi:type="notation:Shape" xmi:id="_s05dcLQQEeKMMvKD8rDWHw" type="3002" fontName="Segoe UI" lineColor="0">
+          <element xmi:type="uml:Property" href="ModelicaML.profile.uml#_gO5cEFsREd6lR6a_09Qo9g"/>
+          <layoutConstraint xmi:type="notation:Location" xmi:id="_s05dcbQQEeKMMvKD8rDWHw"/>
+        </children>
+        <children xmi:type="notation:Shape" xmi:id="_s05dcrQQEeKMMvKD8rDWHw" type="3002" fontName="Segoe UI" lineColor="0">
+          <element xmi:type="uml:Property" href="ModelicaML.profile.uml#_iOBbMFsREd6lR6a_09Qo9g"/>
+          <layoutConstraint xmi:type="notation:Location" xmi:id="_s05dc7QQEeKMMvKD8rDWHw"/>
+        </children>
+        <styles xmi:type="notation:TitleStyle" xmi:id="_j2Z4c7QQEeKMMvKD8rDWHw"/>
+        <styles xmi:type="notation:SortingStyle" xmi:id="_j2Z4dLQQEeKMMvKD8rDWHw"/>
+        <styles xmi:type="notation:FilteringStyle" xmi:id="_j2Z4dbQQEeKMMvKD8rDWHw"/>
+        <layoutConstraint xmi:type="notation:Bounds" xmi:id="_j2Z4drQQEeKMMvKD8rDWHw"/>
+      </children>
+      <children xmi:type="notation:BasicCompartment" xmi:id="_j2Z4d7QQEeKMMvKD8rDWHw" visible="false" type="1019">
+        <styles xmi:type="notation:TitleStyle" xmi:id="_j2Z4eLQQEeKMMvKD8rDWHw"/>
+        <styles xmi:type="notation:SortingStyle" xmi:id="_j2Z4ebQQEeKMMvKD8rDWHw"/>
+        <styles xmi:type="notation:FilteringStyle" xmi:id="_j2Z4erQQEeKMMvKD8rDWHw"/>
+        <layoutConstraint xmi:type="notation:Bounds" xmi:id="_j2Z4e7QQEeKMMvKD8rDWHw"/>
       </children>
       <element xmi:type="uml:Stereotype" href="ModelicaML.profile.uml#_bks90FsREd6lR6a_09Qo9g"/>
-      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_vRWj0eCQEeGn-bDI4pMcpA" x="147" y="145"/>
+      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_j2YqUbQQEeKMMvKD8rDWHw" x="55" y="205" height="76"/>
+    </children>
+    <children xmi:type="notation:Shape" xmi:id="_j29SELQQEeKMMvKD8rDWHw" type="1026" fontName="Segoe UI" lineColor="0">
+      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_j29SErQQEeKMMvKD8rDWHw" source="ShadowFigure">
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_j29SE7QQEeKMMvKD8rDWHw" key="ShadowFigure_Value" value="false"/>
+      </eAnnotations>
+      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_j29SFLQQEeKMMvKD8rDWHw" source="displayNameLabelIcon">
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_j29SFbQQEeKMMvKD8rDWHw" key="displayNameLabelIcon_value" value="false"/>
+      </eAnnotations>
+      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_j295ILQQEeKMMvKD8rDWHw" source="QualifiedName">
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_j295IbQQEeKMMvKD8rDWHw" key="QualifiedNameDepth" value="1000"/>
+      </eAnnotations>
+      <children xmi:type="notation:DecorationNode" xmi:id="_j295IrQQEeKMMvKD8rDWHw" type="1034"/>
+      <children xmi:type="notation:BasicCompartment" xmi:id="_j295I7QQEeKMMvKD8rDWHw" type="1071">
+        <styles xmi:type="notation:TitleStyle" xmi:id="_j295JLQQEeKMMvKD8rDWHw"/>
+        <styles xmi:type="notation:SortingStyle" xmi:id="_j295JbQQEeKMMvKD8rDWHw"/>
+        <styles xmi:type="notation:FilteringStyle" xmi:id="_j295JrQQEeKMMvKD8rDWHw"/>
+        <layoutConstraint xmi:type="notation:Bounds" xmi:id="_j295J7QQEeKMMvKD8rDWHw"/>
+      </children>
+      <children xmi:type="notation:BasicCompartment" xmi:id="_j295KLQQEeKMMvKD8rDWHw" visible="false" type="1019">
+        <styles xmi:type="notation:TitleStyle" xmi:id="_j295KbQQEeKMMvKD8rDWHw"/>
+        <styles xmi:type="notation:SortingStyle" xmi:id="_j295KrQQEeKMMvKD8rDWHw"/>
+        <styles xmi:type="notation:FilteringStyle" xmi:id="_j295K7QQEeKMMvKD8rDWHw"/>
+        <layoutConstraint xmi:type="notation:Bounds" xmi:id="_j295LLQQEeKMMvKD8rDWHw"/>
+      </children>
+      <element xmi:type="uml:Stereotype" href="ModelicaML.profile.uml#_frQN8H23Ed61e442Za0IMg"/>
+      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_j29SEbQQEeKMMvKD8rDWHw" x="250" y="205" height="76"/>
+    </children>
+    <children xmi:type="notation:Shape" xmi:id="_kFYIkLQQEeKMMvKD8rDWHw" type="1031" fontName="Segoe UI" lineColor="0">
+      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_kFZWsLQQEeKMMvKD8rDWHw" source="ShadowFigure">
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_kFZWsbQQEeKMMvKD8rDWHw" key="ShadowFigure_Value" value="false"/>
+      </eAnnotations>
+      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_kFZWsrQQEeKMMvKD8rDWHw" source="displayNameLabelIcon">
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_kFZWs7QQEeKMMvKD8rDWHw" key="displayNameLabelIcon_value" value="false"/>
+      </eAnnotations>
+      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_kFZWtLQQEeKMMvKD8rDWHw" source="QualifiedName">
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_kFZWtbQQEeKMMvKD8rDWHw" key="QualifiedNameDepth" value="1000"/>
+      </eAnnotations>
+      <children xmi:type="notation:DecorationNode" xmi:id="_kFZWtrQQEeKMMvKD8rDWHw" type="1084"/>
+      <element xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Class"/>
+      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_kFYIkbQQEeKMMvKD8rDWHw" x="55" y="305"/>
+    </children>
+    <children xmi:type="notation:Shape" xmi:id="_ldnt4LQQEeKMMvKD8rDWHw" type="1026" fontName="Segoe UI" lineColor="0">
+      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_ldoU8LQQEeKMMvKD8rDWHw" source="ShadowFigure">
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_ldo8ALQQEeKMMvKD8rDWHw" key="ShadowFigure_Value" value="false"/>
+      </eAnnotations>
+      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_ldo8AbQQEeKMMvKD8rDWHw" source="displayNameLabelIcon">
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_ldo8ArQQEeKMMvKD8rDWHw" key="displayNameLabelIcon_value" value="false"/>
+      </eAnnotations>
+      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_ldo8A7QQEeKMMvKD8rDWHw" source="QualifiedName">
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_ldo8BLQQEeKMMvKD8rDWHw" key="QualifiedNameDepth" value="1000"/>
+      </eAnnotations>
+      <children xmi:type="notation:DecorationNode" xmi:id="_ldo8BbQQEeKMMvKD8rDWHw" type="1034"/>
+      <children xmi:type="notation:BasicCompartment" xmi:id="_ldo8BrQQEeKMMvKD8rDWHw" type="1071">
+        <children xmi:type="notation:Shape" xmi:id="_s0-V8LQQEeKMMvKD8rDWHw" type="3002" fontName="Segoe UI" lineColor="0">
+          <element xmi:type="uml:Property" href="ModelicaML.profile.uml#_FbEj8FNgEd6YXtyPQ2LL6Q"/>
+          <layoutConstraint xmi:type="notation:Location" xmi:id="_s0-V8bQQEeKMMvKD8rDWHw"/>
+        </children>
+        <children xmi:type="notation:Shape" xmi:id="_s0-V8rQQEeKMMvKD8rDWHw" type="3002" fontName="Segoe UI" lineColor="0">
+          <element xmi:type="uml:Property" href="ModelicaML.profile.uml#_O9k08FNgEd6YXtyPQ2LL6Q"/>
+          <layoutConstraint xmi:type="notation:Location" xmi:id="_s0-V87QQEeKMMvKD8rDWHw"/>
+        </children>
+        <children xmi:type="notation:Shape" xmi:id="_s0-9ALQQEeKMMvKD8rDWHw" type="3002" fontName="Segoe UI" lineColor="0">
+          <element xmi:type="uml:Property" href="ModelicaML.profile.uml#_V6OeAFNgEd6YXtyPQ2LL6Q"/>
+          <layoutConstraint xmi:type="notation:Location" xmi:id="_s0-9AbQQEeKMMvKD8rDWHw"/>
+        </children>
+        <children xmi:type="notation:Shape" xmi:id="_s0-9ArQQEeKMMvKD8rDWHw" type="3002" fontName="Segoe UI" lineColor="0">
+          <element xmi:type="uml:Property" href="ModelicaML.profile.uml#_M1p8kMbXEd6JBtxNmDMs3Q"/>
+          <layoutConstraint xmi:type="notation:Location" xmi:id="_s0-9A7QQEeKMMvKD8rDWHw"/>
+        </children>
+        <children xmi:type="notation:Shape" xmi:id="_s0_kELQQEeKMMvKD8rDWHw" type="3002" fontName="Segoe UI" lineColor="0">
+          <element xmi:type="uml:Property" href="ModelicaML.profile.uml#_SpTf0FNgEd6YXtyPQ2LL6Q"/>
+          <layoutConstraint xmi:type="notation:Location" xmi:id="_s0_kEbQQEeKMMvKD8rDWHw"/>
+        </children>
+        <children xmi:type="notation:Shape" xmi:id="_s1ALILQQEeKMMvKD8rDWHw" type="3002" fontName="Segoe UI" lineColor="0">
+          <element xmi:type="uml:Property" href="ModelicaML.profile.uml#_1RbVMAndEd-mxt3ftN7uFA"/>
+          <layoutConstraint xmi:type="notation:Location" xmi:id="_s1ALIbQQEeKMMvKD8rDWHw"/>
+        </children>
+        <styles xmi:type="notation:TitleStyle" xmi:id="_ldo8B7QQEeKMMvKD8rDWHw"/>
+        <styles xmi:type="notation:SortingStyle" xmi:id="_ldo8CLQQEeKMMvKD8rDWHw"/>
+        <styles xmi:type="notation:FilteringStyle" xmi:id="_ldo8CbQQEeKMMvKD8rDWHw"/>
+        <layoutConstraint xmi:type="notation:Bounds" xmi:id="_ldo8CrQQEeKMMvKD8rDWHw"/>
+      </children>
+      <children xmi:type="notation:BasicCompartment" xmi:id="_ldpjELQQEeKMMvKD8rDWHw" visible="false" type="1019">
+        <styles xmi:type="notation:TitleStyle" xmi:id="_ldpjEbQQEeKMMvKD8rDWHw"/>
+        <styles xmi:type="notation:SortingStyle" xmi:id="_ldpjErQQEeKMMvKD8rDWHw"/>
+        <styles xmi:type="notation:FilteringStyle" xmi:id="_ldpjE7QQEeKMMvKD8rDWHw"/>
+        <layoutConstraint xmi:type="notation:Bounds" xmi:id="_ldpjFLQQEeKMMvKD8rDWHw"/>
+      </children>
+      <element xmi:type="uml:Stereotype" href="ModelicaML.profile.uml#_amVAwFNgEd6YXtyPQ2LL6Q"/>
+      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_ldnt4bQQEeKMMvKD8rDWHw" x="205" y="25" height="136"/>
+    </children>
+    <children xmi:type="notation:Shape" xmi:id="_mw0bILQQEeKMMvKD8rDWHw" type="1026" fontName="Segoe UI" lineColor="0">
+      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_mw1CMLQQEeKMMvKD8rDWHw" source="ShadowFigure">
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_mw1CMbQQEeKMMvKD8rDWHw" key="ShadowFigure_Value" value="false"/>
+      </eAnnotations>
+      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_mw1pQLQQEeKMMvKD8rDWHw" source="displayNameLabelIcon">
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_mw1pQbQQEeKMMvKD8rDWHw" key="displayNameLabelIcon_value" value="false"/>
+      </eAnnotations>
+      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_mw1pQrQQEeKMMvKD8rDWHw" source="QualifiedName">
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_mw1pQ7QQEeKMMvKD8rDWHw" key="QualifiedNameDepth" value="1000"/>
+      </eAnnotations>
+      <children xmi:type="notation:DecorationNode" xmi:id="_mw1pRLQQEeKMMvKD8rDWHw" type="1034"/>
+      <children xmi:type="notation:BasicCompartment" xmi:id="_mw1pRbQQEeKMMvKD8rDWHw" type="1071">
+        <children xmi:type="notation:Shape" xmi:id="_s03oQLQQEeKMMvKD8rDWHw" type="3002" fontName="Segoe UI" lineColor="0">
+          <element xmi:type="uml:Property" href="ModelicaML.profile.uml#_UuLU4FNQEd6YXtyPQ2LL6Q"/>
+          <layoutConstraint xmi:type="notation:Location" xmi:id="_s03oQbQQEeKMMvKD8rDWHw"/>
+        </children>
+        <children xmi:type="notation:Shape" xmi:id="_s04PULQQEeKMMvKD8rDWHw" type="3002" fontName="Segoe UI" lineColor="0">
+          <element xmi:type="uml:Property" href="ModelicaML.profile.uml#_h8QfwFNQEd6YXtyPQ2LL6Q"/>
+          <layoutConstraint xmi:type="notation:Location" xmi:id="_s04PUbQQEeKMMvKD8rDWHw"/>
+        </children>
+        <children xmi:type="notation:Shape" xmi:id="_s04PUrQQEeKMMvKD8rDWHw" type="3002" fontName="Segoe UI" lineColor="0">
+          <element xmi:type="uml:Property" href="ModelicaML.profile.uml#_FWk74MbXEd6JBtxNmDMs3Q"/>
+          <layoutConstraint xmi:type="notation:Location" xmi:id="_s04PU7QQEeKMMvKD8rDWHw"/>
+        </children>
+        <children xmi:type="notation:Shape" xmi:id="_s042YLQQEeKMMvKD8rDWHw" type="3002" fontName="Segoe UI" lineColor="0">
+          <element xmi:type="uml:Property" href="ModelicaML.profile.uml#_JycqQMbXEd6JBtxNmDMs3Q"/>
+          <layoutConstraint xmi:type="notation:Location" xmi:id="_s042YbQQEeKMMvKD8rDWHw"/>
+        </children>
+        <children xmi:type="notation:Shape" xmi:id="_s042YrQQEeKMMvKD8rDWHw" type="3002" fontName="Segoe UI" lineColor="0">
+          <element xmi:type="uml:Property" href="ModelicaML.profile.uml#_n3RdMAndEd-mxt3ftN7uFA"/>
+          <layoutConstraint xmi:type="notation:Location" xmi:id="_s042Y7QQEeKMMvKD8rDWHw"/>
+        </children>
+        <styles xmi:type="notation:TitleStyle" xmi:id="_mw1pRrQQEeKMMvKD8rDWHw"/>
+        <styles xmi:type="notation:SortingStyle" xmi:id="_mw1pR7QQEeKMMvKD8rDWHw"/>
+        <styles xmi:type="notation:FilteringStyle" xmi:id="_mw1pSLQQEeKMMvKD8rDWHw"/>
+        <layoutConstraint xmi:type="notation:Bounds" xmi:id="_mw1pSbQQEeKMMvKD8rDWHw"/>
+      </children>
+      <children xmi:type="notation:BasicCompartment" xmi:id="_mw2QULQQEeKMMvKD8rDWHw" visible="false" type="1019">
+        <styles xmi:type="notation:TitleStyle" xmi:id="_mw2QUbQQEeKMMvKD8rDWHw"/>
+        <styles xmi:type="notation:SortingStyle" xmi:id="_mw2QUrQQEeKMMvKD8rDWHw"/>
+        <styles xmi:type="notation:FilteringStyle" xmi:id="_mw2QU7QQEeKMMvKD8rDWHw"/>
+        <layoutConstraint xmi:type="notation:Bounds" xmi:id="_mw2QVLQQEeKMMvKD8rDWHw"/>
+      </children>
+      <element xmi:type="uml:Stereotype" href="ModelicaML.profile.uml#_SSA0cFNQEd6YXtyPQ2LL6Q"/>
+      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_mw0bIbQQEeKMMvKD8rDWHw" x="20" y="25" height="136"/>
     </children>
     <styles xmi:type="notation:DiagramStyle" xmi:id="_Sq6n8ax7EeC2GJQ4iCzxPg"/>
     <element xmi:type="uml:Profile" href="ModelicaML.profile.uml#_GnDQYGC9Ed6v450MT6BnSw"/>
+    <edges xmi:type="notation:Connector" xmi:id="_kFut4LQQEeKMMvKD8rDWHw" type="1013" source="_j2YqULQQEeKMMvKD8rDWHw" target="_kFYIkLQQEeKMMvKD8rDWHw" lineColor="0">
+      <styles xmi:type="notation:FontStyle" xmi:id="_kFut4bQQEeKMMvKD8rDWHw" fontName="Segoe UI"/>
+      <element xmi:type="uml:Extension" href="ModelicaML.profile.uml#_xgJyUGDAEd6v450MT6BnSw"/>
+      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_kFut4rQQEeKMMvKD8rDWHw" points="[-45, -50, 297, 332]$[-342, -382, 0, 0]"/>
+    </edges>
+    <edges xmi:type="notation:Connector" xmi:id="_ld6o0LQQEeKMMvKD8rDWHw" type="4002" source="_j29SELQQEeKMMvKD8rDWHw" target="_ldnt4LQQEeKMMvKD8rDWHw" avoidObstructions="true" lineColor="0">
+      <children xmi:type="notation:DecorationNode" xmi:id="_ld6o07QQEeKMMvKD8rDWHw" visible="false" type="6007">
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_ld6o1LQQEeKMMvKD8rDWHw" y="60"/>
+      </children>
+      <styles xmi:type="notation:FontStyle" xmi:id="_ld6o0bQQEeKMMvKD8rDWHw" fontName="Segoe UI"/>
+      <element xmi:type="uml:Generalization" href="ModelicaML.profile.uml#_jf9OoH23Ed61e442Za0IMg"/>
+      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_ld6o0rQQEeKMMvKD8rDWHw" points="[-56, -45, 435, 340]$[-491, -385, 0, 0]"/>
+    </edges>
+    <edges xmi:type="notation:Connector" xmi:id="_mxMOkLQQEeKMMvKD8rDWHw" type="4002" source="_j2YqULQQEeKMMvKD8rDWHw" target="_mw0bILQQEeKMMvKD8rDWHw" avoidObstructions="true" lineColor="0">
+      <children xmi:type="notation:DecorationNode" xmi:id="_mxM1oLQQEeKMMvKD8rDWHw" visible="false" type="6007">
+        <layoutConstraint xmi:type="notation:Location" xmi:id="_mxM1obQQEeKMMvKD8rDWHw" y="60"/>
+      </children>
+      <styles xmi:type="notation:FontStyle" xmi:id="_mxMOkbQQEeKMMvKD8rDWHw" fontName="Segoe UI"/>
+      <element xmi:type="uml:Generalization" href="ModelicaML.profile.uml#_IYU4YGDLEd6v450MT6BnSw"/>
+      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_mxMOkrQQEeKMMvKD8rDWHw" points="[-45, -50, 297, 332]$[-342, -382, 0, 0]"/>
+    </edges>
   </notation:Diagram>
   <notation:Diagram xmi:id="__YCQAOjpEeCDZad2kIJ0mw" type="PapyrusUMLProfileDiagram" name="Model References" measurementUnit="Pixel">
-    <children xmi:type="notation:Shape" xmi:id="__0oscOjpEeCDZad2kIJ0mw" type="1026" fontHeight="8" lineColor="0">
-      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="__0oscujpEeCDZad2kIJ0mw" source="ShadowFigure">
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="__0osc-jpEeCDZad2kIJ0mw" key="ShadowFigure_Value" value="false"/>
-      </eAnnotations>
-      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="__0osdOjpEeCDZad2kIJ0mw" source="displayNameLabelIcon">
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="__0osdejpEeCDZad2kIJ0mw" key="displayNameLabelIcon_value" value="false"/>
-      </eAnnotations>
-      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="__0osdujpEeCDZad2kIJ0mw" source="QualifiedName">
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="__0osd-jpEeCDZad2kIJ0mw" key="QualifiedNameDepth" value="1000"/>
-      </eAnnotations>
-      <children xmi:type="notation:DecorationNode" xmi:id="__0oseOjpEeCDZad2kIJ0mw" type="1034"/>
-      <children xmi:type="notation:BasicCompartment" xmi:id="__0oseejpEeCDZad2kIJ0mw" type="1071">
-        <children xmi:type="notation:Shape" xmi:id="_BU3JEOjqEeCDZad2kIJ0mw" type="3002" fontHeight="8" lineColor="0">
-          <element xmi:type="uml:Property" href="ModelicaML.profile.uml#_6Cq28FQpEd-dXMMi5z6Tlw"/>
-          <layoutConstraint xmi:type="notation:Location" xmi:id="_BU3JEejqEeCDZad2kIJ0mw"/>
-        </children>
-        <styles xmi:type="notation:SortingStyle" xmi:id="__0oseujpEeCDZad2kIJ0mw"/>
-        <styles xmi:type="notation:FilteringStyle" xmi:id="__0ose-jpEeCDZad2kIJ0mw"/>
-        <layoutConstraint xmi:type="notation:Bounds" xmi:id="__0osfOjpEeCDZad2kIJ0mw"/>
-      </children>
-      <children xmi:type="notation:BasicCompartment" xmi:id="__0osfejpEeCDZad2kIJ0mw" type="1019">
-        <styles xmi:type="notation:SortingStyle" xmi:id="__0osfujpEeCDZad2kIJ0mw"/>
-        <styles xmi:type="notation:FilteringStyle" xmi:id="__0osf-jpEeCDZad2kIJ0mw"/>
-        <layoutConstraint xmi:type="notation:Bounds" xmi:id="__0osgOjpEeCDZad2kIJ0mw"/>
-      </children>
-      <element xmi:type="uml:Stereotype" href="ModelicaML.profile.uml#_3yuNkFQpEd-dXMMi5z6Tlw"/>
-      <layoutConstraint xmi:type="notation:Bounds" xmi:id="__0oscejpEeCDZad2kIJ0mw" x="30" y="140"/>
-    </children>
     <children xmi:type="notation:Shape" xmi:id="__1YTUOjpEeCDZad2kIJ0mw" type="1026" fontHeight="8" lineColor="0">
       <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="__1YTUujpEeCDZad2kIJ0mw" source="ShadowFigure">
@@ -1347,5 +1450,5 @@
         <layoutConstraint xmi:type="notation:Bounds" xmi:id="__1YTXOjpEeCDZad2kIJ0mw"/>
       </children>
-      <children xmi:type="notation:BasicCompartment" xmi:id="__1YTXejpEeCDZad2kIJ0mw" type="1019">
+      <children xmi:type="notation:BasicCompartment" xmi:id="__1YTXejpEeCDZad2kIJ0mw" visible="false" type="1019">
         <styles xmi:type="notation:SortingStyle" xmi:id="__1YTXujpEeCDZad2kIJ0mw"/>
         <styles xmi:type="notation:FilteringStyle" xmi:id="__1YTX-jpEeCDZad2kIJ0mw"/>
@@ -1353,19 +1456,5 @@
       </children>
       <element xmi:type="uml:Stereotype" href="ModelicaML.profile.uml#_nLPKQOjoEeCDZad2kIJ0mw"/>
-      <layoutConstraint xmi:type="notation:Bounds" xmi:id="__1YTUejpEeCDZad2kIJ0mw" x="215" y="140"/>
-    </children>
-    <children xmi:type="notation:Shape" xmi:id="_eGCEIAJhEeG_m9SrLqG2hw" type="1031" fontHeight="8" lineColor="0">
-      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_eGCEIgJhEeG_m9SrLqG2hw" source="ShadowFigure">
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_eGCEIwJhEeG_m9SrLqG2hw" key="ShadowFigure_Value" value="false"/>
-      </eAnnotations>
-      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_eGCEJAJhEeG_m9SrLqG2hw" source="displayNameLabelIcon">
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_eGCEJQJhEeG_m9SrLqG2hw" key="displayNameLabelIcon_value" value="false"/>
-      </eAnnotations>
-      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_eGCEJgJhEeG_m9SrLqG2hw" source="QualifiedName">
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_eGCEJwJhEeG_m9SrLqG2hw" key="QualifiedNameDepth" value="1000"/>
-      </eAnnotations>
-      <children xmi:type="notation:DecorationNode" xmi:id="_eGCEKAJhEeG_m9SrLqG2hw" type="1084"/>
-      <element xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Class"/>
-      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_eGCEIQJhEeG_m9SrLqG2hw" x="45" y="30"/>
+      <layoutConstraint xmi:type="notation:Bounds" xmi:id="__1YTUejpEeCDZad2kIJ0mw" x="215" y="140" height="55"/>
     </children>
     <children xmi:type="notation:Shape" xmi:id="_gR8iEAJhEeG_m9SrLqG2hw" type="1031" fontHeight="8" lineColor="0">
@@ -1380,9 +1469,9 @@
       </eAnnotations>
       <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_gR8iGgJhEeG_m9SrLqG2hw" source="Stereotype_Annotation">
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_gR8iGwJhEeG_m9SrLqG2hw" key="StereotypeWithQualifiedNameList" value=""/>
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_gR8iHAJhEeG_m9SrLqG2hw" key="StereotypeList" value="Standard::Metaclass"/>
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_gR8iHQJhEeG_m9SrLqG2hw" key="Stereotype_Presentation_Kind" value="HorizontalStereo"/>
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_gR8iHgJhEeG_m9SrLqG2hw" key="PropStereoDisplay" value=""/>
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_gR8iHwJhEeG_m9SrLqG2hw" key="StereotypePropertyLocation" value="Compartment"/>
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="__farwGYEEeKa6IhMvygGQA" key="StereotypeWithQualifiedNameList" value=""/>
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="__farwWYEEeKa6IhMvygGQA" key="StereotypeList" value=""/>
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="__fbS0GYEEeKa6IhMvygGQA" key="Stereotype_Presentation_Kind" value="HorizontalStereo"/>
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="__fdvEGYEEeKa6IhMvygGQA" key="PropStereoDisplay" value=""/>
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="__fdvEWYEEeKa6IhMvygGQA" key="StereotypePropertyLocation" value="Compartment"/>
       </eAnnotations>
       <children xmi:type="notation:DecorationNode" xmi:id="_gR8iGAJhEeG_m9SrLqG2hw" type="1084"/>
@@ -1406,5 +1495,5 @@
         <layoutConstraint xmi:type="notation:Bounds" xmi:id="_kEsa-gJhEeG_m9SrLqG2hw"/>
       </children>
-      <children xmi:type="notation:BasicCompartment" xmi:id="_kEsa-wJhEeG_m9SrLqG2hw" type="1019">
+      <children xmi:type="notation:BasicCompartment" xmi:id="_kEsa-wJhEeG_m9SrLqG2hw" visible="false" type="1019">
         <styles xmi:type="notation:SortingStyle" xmi:id="_kEsa_AJhEeG_m9SrLqG2hw"/>
         <styles xmi:type="notation:FilteringStyle" xmi:id="_kEsa_QJhEeG_m9SrLqG2hw"/>
@@ -1412,5 +1501,5 @@
       </children>
       <element xmi:type="uml:Stereotype" href="ModelicaML.profile.uml#_kEF-AAJhEeG_m9SrLqG2hw"/>
-      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_kEip8QJhEeG_m9SrLqG2hw" x="375" y="140" width="101" height="101"/>
+      <layoutConstraint xmi:type="notation:Bounds" xmi:id="_kEip8QJhEeG_m9SrLqG2hw" x="375" y="140" width="101" height="56"/>
     </children>
     <children xmi:type="notation:Shape" xmi:id="_nBVyQAJhEeG_m9SrLqG2hw" type="1031" fontHeight="8" lineColor="0">
@@ -1425,9 +1514,9 @@
       </eAnnotations>
       <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_nBVySgJhEeG_m9SrLqG2hw" source="Stereotype_Annotation">
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_nBVySwJhEeG_m9SrLqG2hw" key="StereotypeWithQualifiedNameList" value=""/>
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_nBVyTAJhEeG_m9SrLqG2hw" key="StereotypeList" value="Standard::Metaclass"/>
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_nBVyTQJhEeG_m9SrLqG2hw" key="Stereotype_Presentation_Kind" value="HorizontalStereo"/>
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_nBVyTgJhEeG_m9SrLqG2hw" key="PropStereoDisplay" value=""/>
-        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_nBVyTwJhEeG_m9SrLqG2hw" key="StereotypePropertyLocation" value="Compartment"/>
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="__flq4GYEEeKa6IhMvygGQA" key="StereotypeWithQualifiedNameList" value=""/>
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="__flq4WYEEeKa6IhMvygGQA" key="StereotypeList" value=""/>
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="__flq4mYEEeKa6IhMvygGQA" key="Stereotype_Presentation_Kind" value="HorizontalStereo"/>
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="__flq42YEEeKa6IhMvygGQA" key="PropStereoDisplay" value=""/>
+        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="__flq5GYEEeKa6IhMvygGQA" key="StereotypePropertyLocation" value="Compartment"/>
       </eAnnotations>
       <children xmi:type="notation:DecorationNode" xmi:id="_nBVySAJhEeG_m9SrLqG2hw" type="1084"/>
@@ -1437,11 +1526,4 @@
     <styles xmi:type="notation:DiagramStyle" xmi:id="__YCQAejpEeCDZad2kIJ0mw"/>
     <element xmi:type="uml:Profile" href="ModelicaML.profile.uml#_yKNj0OjpEeCDZad2kIJ0mw"/>
-    <edges xmi:type="notation:Connector" xmi:id="_eGeJAAJhEeG_m9SrLqG2hw" type="1013" source="__0oscOjpEeCDZad2kIJ0mw" target="_eGCEIAJhEeG_m9SrLqG2hw" lineColor="0">
-      <styles xmi:type="notation:FontStyle" xmi:id="_eGeJAQJhEeG_m9SrLqG2hw" fontHeight="8"/>
-      <element xmi:type="uml:Extension" href="ModelicaML.profile.uml#_JhmqIFQqEd-dXMMi5z6Tlw"/>
-      <bendpoints xmi:type="notation:RelativeBendpoints" xmi:id="_eGeJAgJhEeG_m9SrLqG2hw" points="[0, 0, 0, 60]$[0, -60, 0, 0]"/>
-      <sourceAnchor xmi:type="notation:IdentityAnchor" xmi:id="_q9UfoQJhEeG_m9SrLqG2hw" id="(0.49606299212598426,0.0)"/>
-      <targetAnchor xmi:type="notation:IdentityAnchor" xmi:id="_q9UfogJhEeG_m9SrLqG2hw" id="(0.5,1.0)"/>
-    </edges>
     <edges xmi:type="notation:Connector" xmi:id="_haXisAJhEeG_m9SrLqG2hw" type="1013" source="__1YTUOjpEeCDZad2kIJ0mw" target="_gR8iEAJhEeG_m9SrLqG2hw" lineColor="0">
       <styles xmi:type="notation:FontStyle" xmi:id="_haXisQJhEeG_m9SrLqG2hw" fontHeight="8"/>
@@ -1676,8 +1758,4 @@
           <layoutConstraint xmi:type="notation:Location" xmi:id="_9G98gWFfEeG6JbLdsYaDDQ"/>
         </children>
-        <children xmi:type="notation:Shape" xmi:id="_9G-jkGFfEeG6JbLdsYaDDQ" type="3002" fontName="Segoe UI" lineColor="0">
-          <element xmi:type="uml:Property" href="ModelicaML.profile.uml#_9Soz8KOSEd6QGeS9Jr9djA"/>
-          <layoutConstraint xmi:type="notation:Location" xmi:id="_9G-jkWFfEeG6JbLdsYaDDQ"/>
-        </children>
         <styles xmi:type="notation:TitleStyle" xmi:id="_7IHDIWFfEeG6JbLdsYaDDQ"/>
         <styles xmi:type="notation:SortingStyle" xmi:id="_7IHDImFfEeG6JbLdsYaDDQ"/>
